<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_AkitaThikakoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Akita, Thikako</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_AkitaThikakoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Akita, Thikako [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">Commission for commitment line</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Commission for commitment line-NOE</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Depreciation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Depreciation, Supply and sales expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics,Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics,Metrics and targets, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Dividends from subsidiaries and affiliates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Dividends from subsidiaries and affiliates-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Dividends from subsidiaries and affiliates-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_GasReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Gas</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_GasReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gas, Reportable segments [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance and risk management</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance and risk management [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_IkedaKojiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ikeda, Koji</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_IkedaKojiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ikeda, Koji [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">LPG</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">LPG, Reportable segments [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MaedaKaoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Maeda, Kaori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MaedaKaoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Maeda, Kaori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MatsufujiKensukeMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Matsufuji, Kensuke</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MatsufujiKensukeMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Matsufuji, Kensuke [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MithinagaYukinoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Mithinaga, Yukinori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MithinagaYukinoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Mithinaga, Yukinori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MiyakeHideyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Miyake, Hideyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MiyakeHideyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Miyake, Hideyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MizunoNaotoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Mizuno, Naoto</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MizunoNaotoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Mizuno, Naoto [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MukudaMasaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Mukuda, Masao</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_MukudaMasaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Mukuda, Masao [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_NakagawaTomohikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakagawa, Tomohiko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_NakagawaTomohikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakagawa, Tomohiko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding current portion of non-current liabilities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding current portion of non-current liabilities [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_OkimotoKenichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Okimoto, Kenichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_OkimotoKenichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Okimoto, Kenichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_OkitaYasutakaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Okita, Yasutaka</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_OkitaYasutakaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Okita, Yasutaka [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_OzakiHiroshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ozaki, Hiroshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_OzakiHiroshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ozaki, Hiroshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Proceeds from capital reduction of investment securities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Proceeds from capital reduction of investment securities-InvCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for directors' retirement benefits</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for directors' retirement benefits, Supply and sales expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for gas appliance warranties</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for gas appliance warranties-NCL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for gas holder repairmen</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for gas holder repairmen-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for gas holder repairmen</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for gas holder repairmen, Supply and sales expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for safety measures</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for safety measures, Selling, general and administrative expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for safety measures</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for safety measures, Supply and sales expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision of allowance for doubtful accounts</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision of allowance for doubtful accounts, Supply and sales expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information 2, Strategy,Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information 2, Strategy,Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information 3, Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information 3, Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information 4, Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information 4, Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics,Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Metrics and targets, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information, Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Retirement benefit expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Retirement benefit expenses,Supply and sales expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">Revenue from CNG sales</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Revenue from CNG sales-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">Salaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Salaries, Supply and sales expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_TamuraKazunoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tamura, Kazunori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_TamuraKazunoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tamura, Kazunori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_TanimuraTakeshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tanimura, Takeshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_TanimuraTakeshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tanimura, Takeshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_YoshizakiSunaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yoshizaki, Sunao</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04521-000_YoshizakiSunaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yoshizaki, Sunao [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_SalesFromGasBusinessGAS_label" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total sales from gas business</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_SalesFromGasBusinessGAS" xlink:label="jppfs_cor_SalesFromGasBusinessGAS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_AkitaThikakoMember" xlink:label="jpcrp030000-asr_E04521-000_AkitaThikakoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE" xlink:label="jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses" xlink:label="jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI" xlink:label="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_GasReportableSegmentsMember" xlink:label="jpcrp030000-asr_E04521-000_GasReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock" xlink:label="jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_IkedaKojiMember" xlink:label="jpcrp030000-asr_E04521-000_IkedaKojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember" xlink:label="jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MaedaKaoriMember" xlink:label="jpcrp030000-asr_E04521-000_MaedaKaoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MatsufujiKensukeMember" xlink:label="jpcrp030000-asr_E04521-000_MatsufujiKensukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MithinagaYukinoriMember" xlink:label="jpcrp030000-asr_E04521-000_MithinagaYukinoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MiyakeHideyukiMember" xlink:label="jpcrp030000-asr_E04521-000_MiyakeHideyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MizunoNaotoMember" xlink:label="jpcrp030000-asr_E04521-000_MizunoNaotoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_MukudaMasaoMember" xlink:label="jpcrp030000-asr_E04521-000_MukudaMasaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_NakagawaTomohikoMember" xlink:label="jpcrp030000-asr_E04521-000_NakagawaTomohikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" xlink:label="jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_OkimotoKenichiMember" xlink:label="jpcrp030000-asr_E04521-000_OkimotoKenichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_OkitaYasutakaMember" xlink:label="jpcrp030000-asr_E04521-000_OkitaYasutakaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_OzakiHiroshiMember" xlink:label="jpcrp030000-asr_E04521-000_OzakiHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF" xlink:label="jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses" xlink:label="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses" xlink:label="jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:label="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses" xlink:label="jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI" xlink:label="jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses" xlink:label="jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_TamuraKazunoriMember" xlink:label="jpcrp030000-asr_E04521-000_TamuraKazunoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_TanimuraTakeshiMember" xlink:label="jpcrp030000-asr_E04521-000_TanimuraTakeshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04521-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E04521-000_YoshizakiSunaoMember" xlink:label="jpcrp030000-asr_E04521-000_YoshizakiSunaoMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_AkitaThikakoMember" xlink:to="jpcrp030000-asr_E04521-000_AkitaThikakoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_AkitaThikakoMember" xlink:to="jpcrp030000-asr_E04521-000_AkitaThikakoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE" xlink:to="jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE" xlink:to="jpcrp030000-asr_E04521-000_CommissionForCommitmentLineNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_DepreciationSupplyAndSalesExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04521-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI" xlink:to="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI" xlink:to="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI" xlink:to="jpcrp030000-asr_E04521-000_DividendsFromSubsidiariesAndAffiliatesNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_GasReportableSegmentsMember" xlink:to="jpcrp030000-asr_E04521-000_GasReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_GasReportableSegmentsMember" xlink:to="jpcrp030000-asr_E04521-000_GasReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock" xlink:to="jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock" xlink:to="jpcrp030000-asr_E04521-000_GovernanceAndRiskManagementTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_GovernanceClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_IkedaKojiMember" xlink:to="jpcrp030000-asr_E04521-000_IkedaKojiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_IkedaKojiMember" xlink:to="jpcrp030000-asr_E04521-000_IkedaKojiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember" xlink:to="jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember" xlink:to="jpcrp030000-asr_E04521-000_LPGReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MaedaKaoriMember" xlink:to="jpcrp030000-asr_E04521-000_MaedaKaoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MaedaKaoriMember" xlink:to="jpcrp030000-asr_E04521-000_MaedaKaoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MatsufujiKensukeMember" xlink:to="jpcrp030000-asr_E04521-000_MatsufujiKensukeMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MatsufujiKensukeMember" xlink:to="jpcrp030000-asr_E04521-000_MatsufujiKensukeMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04521-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MithinagaYukinoriMember" xlink:to="jpcrp030000-asr_E04521-000_MithinagaYukinoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MithinagaYukinoriMember" xlink:to="jpcrp030000-asr_E04521-000_MithinagaYukinoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MiyakeHideyukiMember" xlink:to="jpcrp030000-asr_E04521-000_MiyakeHideyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MiyakeHideyukiMember" xlink:to="jpcrp030000-asr_E04521-000_MiyakeHideyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MizunoNaotoMember" xlink:to="jpcrp030000-asr_E04521-000_MizunoNaotoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MizunoNaotoMember" xlink:to="jpcrp030000-asr_E04521-000_MizunoNaotoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MukudaMasaoMember" xlink:to="jpcrp030000-asr_E04521-000_MukudaMasaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_MukudaMasaoMember" xlink:to="jpcrp030000-asr_E04521-000_MukudaMasaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_NakagawaTomohikoMember" xlink:to="jpcrp030000-asr_E04521-000_NakagawaTomohikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_NakagawaTomohikoMember" xlink:to="jpcrp030000-asr_E04521-000_NakagawaTomohikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" xlink:to="jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" xlink:to="jpcrp030000-asr_E04521-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_OkimotoKenichiMember" xlink:to="jpcrp030000-asr_E04521-000_OkimotoKenichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_OkimotoKenichiMember" xlink:to="jpcrp030000-asr_E04521-000_OkimotoKenichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_OkitaYasutakaMember" xlink:to="jpcrp030000-asr_E04521-000_OkitaYasutakaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_OkitaYasutakaMember" xlink:to="jpcrp030000-asr_E04521-000_OkitaYasutakaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_OzakiHiroshiMember" xlink:to="jpcrp030000-asr_E04521-000_OzakiHiroshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_OzakiHiroshiMember" xlink:to="jpcrp030000-asr_E04521-000_OzakiHiroshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF" xlink:to="jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF" xlink:to="jpcrp030000-asr_E04521-000_ProceedsFromCapitalReductionOfInvestmentSecuritiesInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForDirectorsRetirementBenefitsSupplyAndSalesExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForGasApplianceWarrantiesNCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForGasHolderRepairmenSupplyAndSalesExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresMajorComponentsOfSellingGeneralAndAdministrativeExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionForSafetyMeasuresSupplyAndSalesExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_ProvisionOfAllowanceForDoubtfulAccountsSupplyAndSalesExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation2StrategyHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation3StrategyHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformation4StrategyHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:to="jpcrp030000-asr_E04521-000_ReferenceToOtherInformationStrategyHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_RetirementBenefitExpensesSupplyAndSalesExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI" xlink:to="jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI" xlink:to="jpcrp030000-asr_E04521-000_RevenueFromCNGSalesNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_RiskManagementClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses" xlink:to="jpcrp030000-asr_E04521-000_SalariesSupplyAndSalesExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04521-000_StrategyClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04521-000_StrategyHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_TamuraKazunoriMember" xlink:to="jpcrp030000-asr_E04521-000_TamuraKazunoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_TamuraKazunoriMember" xlink:to="jpcrp030000-asr_E04521-000_TamuraKazunoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_TanimuraTakeshiMember" xlink:to="jpcrp030000-asr_E04521-000_TanimuraTakeshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_TanimuraTakeshiMember" xlink:to="jpcrp030000-asr_E04521-000_TanimuraTakeshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_YoshizakiSunaoMember" xlink:to="jpcrp030000-asr_E04521-000_YoshizakiSunaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04521-000_YoshizakiSunaoMember" xlink:to="jpcrp030000-asr_E04521-000_YoshizakiSunaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_SalesFromGasBusinessGAS" xlink:to="jppfs_cor_SalesFromGasBusinessGAS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>